apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  labels:
    component: velero
  annotations:
    controller-gen.kubebuilder.io/version: v0.14.0
  name: serverstatusrequests.velero.io
spec:
  group: velero.io
  names:
    kind: ServerStatusRequest
    listKind: ServerStatusRequestList
    plural: serverstatusrequests
    shortNames:
    - ssr
    singular: serverstatusrequest
  scope: Namespaced
  versions:
  - name: v1
    schema:
      openAPIV3Schema:
        description: |-
          ServerStatusRequest is a request to access current status information about
          the Velero server.
        properties:
          apiVersion:
            description: |-
              APIVersion defines the versioned schema of this representation of an object.
              Servers should convert recognized schemas to the latest internal value, and
              may reject unrecognized values.
              More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources
            type: string
          kind:
            description: |-
              Kind is a string value representing the REST resource this object represents.
              Servers may infer this from the endpoint the client submits requests to.
              Cannot be updated.
              In CamelCase.
              More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds
            type: string
          metadata:
            type: object
          spec:
            description: ServerStatusRequestSpec is the specification for a ServerStatusRequest.
            type: object
          status:
            description: ServerStatusRequestStatus is the current status of a ServerStatusRequest.
            properties:
              phase:
                description: Phase is the current lifecycle phase of the ServerStatusRequest.
                enum:
                - New
                - Processed
                type: string
              plugins:
                description: Plugins list information about the plugins running on
                  the Velero server
                items:
                  description: PluginInfo contains attributes of a Velero plugin
                  properties:
                    kind:
                      type: string
                    name:
                      type: string
                  required:
                  - kind
                  - name
                  type: object
                nullable: true
                type: array
              processedTimestamp:
                description: |-
                  ProcessedTimestamp is when the ServerStatusRequest was processed
                  by the ServerStatusRequestController.
                format: date-time
                nullable: true
                type: string
              serverVersion:
                description: ServerVersion is the Velero server version.
                type: string
            type: object
        type: object
    served: true
    storage: true
